package com.salpa.subject.domain.vo;

/**
 * 数据库高级设置
 *
 * @author zhuff
 */
public class ProjectSyncRule {

    /** 项目ID */
    private Integer projectId;

    /** 忽略表名称 */
    private String[] ignoreTableNameRegexArray;

    /** 忽略字段名称 */
    private String[] ignoreColumnNameRegexArray;

    /** 是否定时同步 */
    private boolean autoSync;

    /** cron表达式 */
    private String autoSyncCron;


    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String[] getIgnoreTableNameRegexArray() {
        return ignoreTableNameRegexArray;
    }

    public void setIgnoreTableNameRegexArray(String[] ignoreTableNameRegexArray) {
        this.ignoreTableNameRegexArray = ignoreTableNameRegexArray;
    }

    public String[] getIgnoreColumnNameRegexArray() {
        return ignoreColumnNameRegexArray;
    }

    public void setIgnoreColumnNameRegexArray(String[] ignoreColumnNameRegexArray) {
        this.ignoreColumnNameRegexArray = ignoreColumnNameRegexArray;
    }

    public boolean isAutoSync() {
        return autoSync;
    }

    public void setAutoSync(boolean autoSync) {
        this.autoSync = autoSync;
    }

    public String getAutoSyncCron() {
        return autoSyncCron;
    }

    public void setAutoSyncCron(String autoSyncCron) {
        this.autoSyncCron = autoSyncCron;
    }
}
